import { AllowedComponentProps } from 'vue-demi';
import type { App } from 'vue-demi';
import { ComponentCustomProps } from 'vue-demi';
import { ComponentOptionsMixin } from 'vue-demi';
import { DefineComponent } from 'vue-demi';
import { ExtractPropTypes } from 'vue-demi';
import { PropType } from 'vue-demi';
import { RendererElement } from 'vue-demi';
import { RendererNode } from 'vue-demi';
import { VNode } from 'vue-demi';
import { VNodeProps } from 'vue-demi';

declare const _default: SFCWithInstall;
export default _default;

declare const _default_2: DefineComponent<{
    modelValue: object;
    value: object;
} & {
    mode: {
        type: PropType<Mode>;
    };
} & {
    mainMenuBar: {
        type: PropType<boolean>;
        default: undefined;
    };
    navigationBar: {
        type: PropType<boolean>;
        default: undefined;
    };
    statusBar: {
        type: PropType<boolean>;
        default: undefined;
    };
    askToFormat: {
        type: PropType<boolean>;
        default: undefined;
    };
    readOnly: {
        type: PropType<boolean>;
        default: undefined;
    };
    escapeControlCharacters: {
        type: PropType<boolean>;
        default: undefined;
    };
    escapeUnicodeCharacters: {
        type: PropType<boolean>;
        default: undefined;
    };
    flattenColumns: {
        type: PropType<boolean>;
        default: undefined;
    };
}, () => VNode<RendererNode, RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    [x: string]: (_payload: any) => boolean;
    'update:mode': (_payload: Mode) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    modelValue: object;
    value: object;
} & {
    mode: {
        type: PropType<Mode>;
    };
} & {
    mainMenuBar: {
        type: PropType<boolean>;
        default: undefined;
    };
    navigationBar: {
        type: PropType<boolean>;
        default: undefined;
    };
    statusBar: {
        type: PropType<boolean>;
        default: undefined;
    };
    askToFormat: {
        type: PropType<boolean>;
        default: undefined;
    };
    readOnly: {
        type: PropType<boolean>;
        default: undefined;
    };
    escapeControlCharacters: {
        type: PropType<boolean>;
        default: undefined;
    };
    escapeUnicodeCharacters: {
        type: PropType<boolean>;
        default: undefined;
    };
    flattenColumns: {
        type: PropType<boolean>;
        default: undefined;
    };
}>> & {
    [x: `on${Capitalize<string>}`]: ((_payload: any) => any) | undefined;
}, {
    mainMenuBar: boolean;
    navigationBar: boolean;
    statusBar: boolean;
    askToFormat: boolean;
    readOnly: boolean;
    escapeControlCharacters: boolean;
    escapeUnicodeCharacters: boolean;
    flattenColumns: boolean;
}, {}>;

export declare type Mode = 'text' | 'tree' | 'table';

declare type SFCWithInstall = typeof _default_2 & {
    install: (app: App, options?: Record<keyof any, any>) => void;
};

export { }
